#ifndef _IDMLIB_H
#define _IDMLIB_H

#include "_list.h"

#ifdef _LIST_H
typedef struct tagJH_ITEM {
	LISTITEM head;	// K擪ɂ
// mydata
	mchar szname[CCHWORD];
	int npara;
	mchar szfilename[CCHPATHNAME];
} JH_ITEM;
#endif

#if __TXC__
extern "_idmlib" {
extern mchar _szuiwz[];
extern mchar szclassList[];
extern wchar wszclassList[];
extern mchar szclassListH[];
extern wchar wszclassListH[];
extern wchar wszclassText[];
extern wchar wszclassPartition[];
int txCmpIParatopLen(TX* text,mchar* szstr,int lch);
int txCmpParaOffset(TX* text,mchar* szstr,IBUFF offset);
int txCmpIParatop(TX* text,mchar* szstr);
BOOL txIbuffIsNspace(TX* text,IBUFF ibuff,int n);
BOOL txSelectGetOverwrite(TX* text);
void txFlushMenuCheckAll(TX* text);
void txRulerFlushDisp(TX* text);
TX* textmsgopenWzapp(mchar* szName);
void searchoptSetupMode(SEARCHOPT* opt);
SEARCHMODE searchoptToSearchmode(SEARCHOPT* opt);
void searchoptFromSearchmode(SEARCHOPT* opt,SEARCHMODE searchmode);
void dialogAddSearchopt(HDIALOG hd,SEARCHOPT* opt,int mode);
void wndSetEnableSearchOption(HWND hwnd);
mchar* sepastrGetIndexStr(mchar* str,int i,int* pLch);
void strDeleteTailSpaceTab(mchar* sz);
#if UNICODE
int sprintf_A(LPSTR szDst,LPCSTR szFormat,...);
BOOL WINAPI SetWindowText_A(HWND hwnd,LPCSTR lpsz);
int WINAPI GetWindowText_A(HWND hwnd,LPSTR lpsz,int cchMax);
BOOL SetDlgItemText_A(HWND hwndDlg,int idControl,LPCSTR lpsz);
BOOL GetDlgItemText_A(HWND hwndDlg,int idControl,LPSTR lpsz,int cchMax);
void ListBox_AddString_A(HWND hctrl,mchar* sz);
int ListBox_FindStringExact_A(HWND hctrl,int i,mchar* sz);
BOOL WinExecEx_W(wchar* wszfilenameExe,wchar* wszCmdline);
#endif
#if defined(__TXC__) && WINDOWSCE
BOOL IsIconic(HWND hwnd);
#endif
BOOL wndGetRect(HWND hwnd,RECT* r);
mchar* GetWindowTextAlloc_A(HWND hwnd);
#if !UNICODE
BOOL CopyFile_W(LPCWSTR lpszSrc,LPCWSTR lpszDst,BOOL fFailIfExists);
BOOL MoveFile_W(LPCWSTR lpszSrc,LPCWSTR lpszDst);
BOOL DeleteFile_W(LPCWSTR lpszFileName);
BOOL CreateDirectory_W(LPCWSTR lpszPath,LPSECURITY_ATTRIBUTES lpsa);
#endif
#ifdef _LIST_H
void histjumpstrAnalyze(mchar* sz,JH_ITEM* item);
#endif
void jumphistAdd(TX* text);
void strToRect(mchar* p,RECT* r);
void sprintSizePrim(mchar* szbuff,UINT size);
mchar* wpathExtractRejectMask(wchar* wszpath,mchar* szReject,int cch);
BOOL txJumpTagPrim(TX* text,int mode);
BOOL txJumpFileLink(TX* text);
BOOL subdlgprocSblist(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam,HSTRBLK sb);
void txIsearchStatprintf(TX* text,BOOL find,SEARCHMODE searchmode);
BOOL txIsearchIsContinueIdm(TX* text,int idm);
BOOL txIsearchQuit(TX* text);
void txIsearchQuitEm(TX* text);
int questionOverwrite(wchar* wszfilename);
BOOL wpathIsBinaryFiletype(wchar* wszfilename);
BOOL wpathIsCszFiletype(wchar* wszfilename,mchar* cszExt);
void filetimeAdd(FILETIME* ft,FILETIME* ftAdd);
}
#endif	// __TXC__

#endif	// !_IDMLIB_H
